GNU bug report logs - #53833
[PATCH] gnu: Add qbe.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: jgart <jgart@HIDDEN>; Keywords: patch; merged with #55150, #55151, #55605; dated Mon, 7 Feb 2022 01:21:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added indication that bug 53833 blocks55187,55606 Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53833 55150 55151 55605. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 8 May 2022 20:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 08 16:22:25 2022
Received: from localhost ([127.0.0.1]:55313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnnQ3-0002hV-Is
	for submit <at> debbugs.gnu.org; Sun, 08 May 2022 16:22:25 -0400
Received: from knopi.disroot.org ([178.21.23.139]:46158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnnQ1-0002hM-7S
 for 53833 <at> debbugs.gnu.org; Sun, 08 May 2022 16:22:18 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 97A1E435E9;
 Sun,  8 May 2022 22:22:15 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id W9U_BMJuB_0X; Sun,  8 May 2022 22:22:13 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1652041333; bh=DRJOqEsD0A0uXEgGIucVwq9KSafRhsRAQIb3XPKzT4Y=;
 h=From:To:Cc:Subject:Date;
 b=AozXMSfiqGDSHOGM8+IK/qeaGQKBLQRutquP9PAOEQOleBKHnF44TEQ8q2DCj7Gql
 54rqn1FNjgRB0oub/5wKGhAsQhPIX0CsUjvLQihqY2Hb5SxvVXGS7dywJ9Iiscy3Wm
 izYQaPaL6TvY+ag7yhLhKw7/cRE/CdA2B1eWICIcDjGZOszHzFCQzxPJ/BwtL6nyaS
 hbDR7uq2VqBgEhDTRP1WMBVwxHqRhtvxmWl7eGKhO4IyHZs9+saVQJULIJQfz+dkKZ
 FB/R5/j1UZrSWdL5dnTqoiSYpv41tdprRNj9kZ8rTsEnc5LKvcNWfnGjHoqoReUxqx
 KWufRH2bbF09A==
To: 53833 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Add qbe.
Date: Sun,  8 May 2022 21:21:55 +0100
Message-Id: <20220508202154.9648-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/c.scm (qbe): New variable.

Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>
---
This improved patch (1) squashes the three commits together, (2) enables
tests for QBE, and (3) fixes some style nits.

Thanks to lilyp for feedback on #guix!

 gnu/packages/c.scm | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index da034d5fd9..c9a25eb801 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2020, 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2021 David Dashyan <mail@HIDDEN>
 ;;; Copyright © 2021 Foo Chuan Wei <chuanwei.foo@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1064,3 +1065,46 @@ (define-public utf8-h
 C and C++.  The functions it provides are like those from the C header
 string.h, but with a utf8* prefix instead of the str* prefix.")
       (license license:unlicense))))
+
+(define-public qbe
+  (let ((commit "2caa26e388b1c904d2f12fb09f84df7e761d8331")
+        (revision "1"))
+   (package
+    (name "qbe")
+    (version (git-version "0.0" revision commit))
+    (source
+     (origin
+      (method git-fetch)
+      (uri (git-reference
+            (url "git://c9x.me/qbe")
+            (commit commit)))
+      (file-name (git-file-name name version))
+      (sha256
+       (base32 "1gv03ym0gqrl4wkbhysa82025xwrkr1fg44z814b6vnggwlqgljc"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:make-flags
+           #~(list (string-append "CC=" #$(cc-for-target))
+                   (string-append "PREFIX=" #$output)
+                   ;; `GUIXTARGET` is used instead of `TARGET` to avoid changing
+                   ;; the meaning of tools/test.sh (which uses `TARGET` too).
+                   (string-append "GUIXTARGET=" #$(or (%current-target-system)
+                                                      (%current-system))))
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'allow-cross-compilation
+                 (lambda _
+                   (substitute* "Makefile"
+                     (("`uname -m`") "$(GUIXTARGET)"))))
+               (add-after 'allow-cross-compilation 'use-gcc-for-tests
+                 (lambda _
+                   (substitute* "tools/test.sh"
+                     (("cc=\"cc -no-pie\"")
+                      (string-append "cc=\"${CC} -no-pie\"")))))
+               (delete 'configure))))
+    (supported-systems (list "x86_64-linux" "aarch64-linux" "riscv64-linux"))
+    (synopsis "Simple compiler backend")
+    (description "QBE is a small compiler backend using an SSA-based intermediate
+language as input.")
+    (home-page "https://c9x.me/compile/")
+    (license license:expat))))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 May 2022 18:19:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 14:19:39 2022
Received: from localhost ([127.0.0.1]:52938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnP1n-0007kd-LQ
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 14:19:39 -0400
Received: from knopi.disroot.org ([178.21.23.139]:42824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnP1l-0007kV-Pr
 for 53833 <at> debbugs.gnu.org; Sat, 07 May 2022 14:19:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 2DFC74367E
 for <53833 <at> debbugs.gnu.org>; Sat,  7 May 2022 20:19:37 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 1AwlQXfEbsaw for <53833 <at> debbugs.gnu.org>;
 Sat,  7 May 2022 20:19:36 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1651947576; bh=o2DilxTyxSMYUa8piQRR6AMbrRk05tPYQ/JYd4Ywy2s=;
 h=Date:From:Subject:To;
 b=CLx1ufZgeLP06GRIl6iKDPKJGHqIYWpXlFQB9kRC/w2PSSPgnitgffXQV1S6e7EGv
 UKqyOvUsPD19gCEuri30LbUq+2nX0gYPVwBkyxsqVO671C/nTe0v8fgfiN0lMjiFH8
 2MzsZAP4KSEY/+Ogz89gI2QHNh/+FQ1H9cwEIQ38kK8cmf3Uw80NcwnppCFQE5rbfU
 Y+jxxcAQzkEmrTpC1OZADecgCt9snS7DSvTQ6YSDk1qNeZJdlnoOk57hE5GC7QCb4X
 IGAmdFLMvaczXx7lWjtk9/SCPYC56nO/MewZZxgkvCDM1fVr15Be9GsMrnfnRcqEfM
 4BoO76KTqxnKw==
Date: Sat, 07 May 2022 18:19:35 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: paren@HIDDEN
Message-ID: <838884700bc7082f7c62407b4cf9c1ec85dc3e54@HIDDEN>
Subject: Re: Upstreaming QBE and cproc
To: 53833 <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I just noticed that the QBE makefile patch contains a mistake in the desc=
ription:

> This patch modifies the QBE makefile to add a TARGET variable that allo=
ws us to support
> cross-compiling it. We modify the case...esac in the config.h target to=
 use this variable
> instead of TARGET.

"instead of TARGET" should be "instead of uname". I can't really see much=
 point in submitting a whole v2 patch for that, especially since i've alr=
eady made further adjustments to the c.scm file for cproc, so could whoev=
er merges this change that please? Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 May 2022 17:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 13:21:40 2022
Received: from localhost ([127.0.0.1]:52915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnO7g-00048l-Gf
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 13:21:40 -0400
Received: from knopi.disroot.org ([178.21.23.139]:59568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnO7f-00048e-1R
 for 53833 <at> debbugs.gnu.org; Sat, 07 May 2022 13:21:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 632B74366E;
 Sat,  7 May 2022 19:21:38 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id rghUz_IsAT_Y; Sat,  7 May 2022 19:21:37 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1651944097; bh=3LPp5MkBUAdkv0lnXoAVs7HBbiS3QBfH3+3dsbYP0J4=;
 h=From:To:Cc:Subject:Date;
 b=bdzdI7pApZGPxizQrabBN0yxTPZDGkARs+Rf80QB8U/8ERuWnhqj7AnqSxGnDEDhG
 W6x0hmV17uIDN91O9p9n9apnJdIuojFzQkTTgs76JTmDlRA4JyjNPCJsQTCboodJjC
 HEia97R2unXd31Ac7O4VtdK1oBkKc5HPdUZn9k46DH2NdLtqby5iQBk1zgTghxmpHG
 5UOil/k+EItgoEtEhvZVS7IKCWjtlhqNR1xOr7dLN0lPc7hhF8k200es9/EWGFnP70
 nfHzzUY5G5nhHHq0kNMZ0N9oWo7JVwFeIfmTbU9dkPCooIV+63sCwE0mEEp6TXD39N
 mRDgH3D29OxZg==
To: 53833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: packages: c: Add (unmatched parenthesis copyright
 statement.
Date: Sat,  7 May 2022 18:21:35 +0100
Message-Id: <20220507172135.14701-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/c.scm: Add my copyright line.

Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>
---
I forgot to add my copyright AGAIN /o\ I am extremely absent-minded :P

 gnu/packages/c.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index e03ea2e6eb..1477734718 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2020, 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2021 David Dashyan <mail@HIDDEN>
 ;;; Copyright © 2021 Foo Chuan Wei <chuanwei.foo@HIDDEN>
+;;; Copyright © 2022 (unmatched parenthesis <paren@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 May 2022 17:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 13:11:21 2022
Received: from localhost ([127.0.0.1]:52906 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnNxV-0003tF-Vw
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 13:11:21 -0400
Received: from knopi.disroot.org ([178.21.23.139]:52514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnNxT-0003t7-Tn
 for 53833 <at> debbugs.gnu.org; Sat, 07 May 2022 13:11:08 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3575E43674;
 Sat,  7 May 2022 19:11:07 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 269xLshh58-a; Sat,  7 May 2022 19:11:05 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1651943465; bh=HcWcCdJbIeSYlrKAuKsOW0Jvr8iEMJSMZ8JgJ9PV+vs=;
 h=From:To:Cc:Subject:Date;
 b=hO746lQJUnk61t/wx1qAHFch8/ydxZMsMyfOeJoHfTTeCta/QAoNXLUJkUFDDF3sk
 LSMJVNZn2NSz2m6JENXz72T0j1fonrp9Y1l24VYKUyvpPBAJ9k2+haVsZ+UMSUhLue
 bcEI8/RVZyer5sDTO6LBkthF3ha4afBPsWeAVl9lfu7aUpHDbt3RGS+S39YtmabF0H
 +vaYrI9odnA8ooi5ipQ1NnvvTqwAdvLAEPWK6CADWE9h1KM3XYNT8LsRDNe5OVqEBB
 1nN5f6fs834AeItV349KugMXUVc1h7wanzUC5+4DxawVgs3hIUu0Ygx20tm+rBQ5AO
 SqL187KZ/iEHg==
To: 53833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: patches: Add qbe-makefile-add-target.patch.
Date: Sat,  7 May 2022 18:11:04 +0100
Message-Id: <20220507171104.13861-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/patches/qbe-makefile-add-target.patch: New variable.

Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>
---
 .../patches/qbe-makefile-add-target.patch     | 56 +++++++++++++++++++
 1 file changed, 56 insertions(+)
 create mode 100644 gnu/packages/patches/qbe-makefile-add-target.patch

diff --git a/gnu/packages/patches/qbe-makefile-add-target.patch b/gnu/packages/patches/qbe-makefile-add-target.patch
new file mode 100644
index 0000000000..e87559c3fa
--- /dev/null
+++ b/gnu/packages/patches/qbe-makefile-add-target.patch
@@ -0,0 +1,56 @@
+This patch modifies the QBE makefile to add a TARGET variable that allows us to support
+cross-compiling it. We modify the case...esac in the config.h target to use this variable
+instead of TARGET.
+--- a/Makefile
++++ b/Makefile
+@@ -17,6 +17,8 @@ OBJ      = $(SRC:%.c=$(OBJDIR)/%.o) $(AMD64OBJ) $(ARM64OBJ) $(RV64OBJ)
+ 
+ CFLAGS += -Wall -Wextra -std=c99 -g -pedantic
+ 
++TARGET = unknown
++
+ $(OBJDIR)/$(BIN): $(OBJ) $(OBJDIR)/timestamp
+ 	@test -z "$(V)" || echo "ld $@"
+ 	$(V)$(CC) $(LDFLAGS) $(OBJ) -o $@
+@@ -39,26 +41,21 @@ $(RV64OBJ): rv64/all.h
+ $(OBJDIR)/main.o: config.h
+ 
+ config.h:
+-	@case `uname` in                               \
+-	*Darwin*)                                      \
+-		echo "#define Defasm Gasmacho";        \
+-		echo "#define Deftgt T_amd64_sysv";    \
+-		;;                                     \
+-	*)                                             \
+-		echo "#define Defasm Gaself";          \
+-		case `uname -m` in                     \
+-		*aarch64*)                             \
+-			echo "#define Deftgt T_arm64"; \
+-			;;                             \
+-		*riscv64*)                             \
+-			echo "#define Deftgt T_rv64";  \
+-			;;                             \
+-		*)                                     \
+-			echo "#define Deftgt T_amd64_sysv";\
+-			;;                             \
+-		esac                                   \
+-		;;                                     \
+-	esac > $@
++	@echo "#define Defasm Gaself" >> $@
++	@case $(TARGET) in \
++	*x86_64*) \
++		echo "#define Deftgt T_amd64_sysv"; \
++		;; \
++	*aarch64*) \
++		echo "#define Deftgt T_arm64"; \
++		;; \
++	*riscv64*) \
++		echo "#define Deftgt T_rv64"; \
++		;; \
++	*) \
++		echo "#error target not set to x86_64, aarch64, or riscv64 in makefile"; \
++		;; \
++	esac >> $@
+ 
+ install: $(OBJDIR)/$(BIN)
+ 	mkdir -p "$(DESTDIR)/$(PREFIX)/bin/"
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 May 2022 17:09:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 13:09:51 2022
Received: from localhost ([127.0.0.1]:52902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnNwF-0003qt-K3
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 13:09:51 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnNwE-0003qm-LS
 for 53833 <at> debbugs.gnu.org; Sat, 07 May 2022 13:09:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id EB7F543675;
 Sat,  7 May 2022 19:09:49 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id VBWRw6cq1zLs; Sat,  7 May 2022 19:09:48 +0200 (CEST)
From: "(unmatched-parenthesis" <paren@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1651943387; bh=PUzpI6ym1jwuBWM61ZAwXSHzwv7Klwuky02cZFAtWts=;
 h=From:To:Cc:Subject:Date;
 b=SLD4c1pyUvt+fSuzlF/yPJP+0JAjbsQvOarGCXHVqgOJiIJzSihL2NCsHBuuEMUr+
 ZjjgqKMwIsfVW3VNiAKw0Mf4XD/jQqfPcLi3ctnth0UGW5rp4od6mDLHYUJ4W1D4K6
 FFz92UoEDaExt27HFy3ec1IJkl/w6MF564ySR5wMo9Wwg3lk7Ef6IMx7x02uj3SRaj
 rplpmb+kWtJV/iW35z/3AWGagjZtcLgwtGMXszHcTT74qFWldYYwCsTFimPQtoY4z7
 h5RiLs+N+B2OK1yDbiIEHYinuyqQmmvn1nTfemMpyv1hToqX0FoVF30nwuIHju3oGA
 +SR7zaE0MTpwA==
To: 53833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add qbe.
Date: Sat,  7 May 2022 18:09:42 +0100
Message-Id: <20220507170942.13785-1-paren@HIDDEN>
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
Cc: "\(unmatched-parenthesis" <paren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/c.scm (qbe): New variable.

Signed-off-by: (unmatched-parenthesis <paren@HIDDEN>
---
 gnu/packages/c.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index da034d5fd9..1e3296dae1 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -1064,3 +1064,36 @@ (define-public utf8-h
 C and C++.  The functions it provides are like those from the C header
 string.h, but with a utf8* prefix instead of the str* prefix.")
       (license license:unlicense))))
+
+(define-public qbe
+  (let ((commit "2caa26e388b1c904d2f12fb09f84df7e761d8331")
+        (revision "1"))
+   (package
+    (name "qbe")
+    (version (git-version "0.0" revision commit))
+    (source
+     (origin
+      (method git-fetch)
+      (uri (git-reference
+            (url "git://c9x.me/qbe")
+            (commit commit)))
+      (file-name (git-file-name name version))
+      (patches (search-patches "qbe-makefile-add-target.patch"))
+      (sha256
+       (base32 "1gv03ym0gqrl4wkbhysa82025xwrkr1fg44z814b6vnggwlqgljc"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; Tests require a running qemu
+       #:make-flags ,#~(list (string-append "CC=" #$(cc-for-target))
+                             (string-append "PREFIX=" #$output)
+                             (string-append "TARGET=" #$(or (%current-target-system)
+                                                            (%current-system))))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure))))
+    (supported-systems (list "x86_64-linux" "aarch64-linux" "riscv64-linux"))
+    (synopsis "Simple, straightforward backend compiler")
+    (description "QBE is a compiler backend with the goal of reaching 70% of the
+performance of advanced compilers such as LLVM and GCC in only 10% of the code.")
+    (home-page "https://c9x.me/compile/")
+    (license license:expat))))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 May 2022 16:34:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:34:55 2022
Received: from localhost ([127.0.0.1]:52858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnNOQ-0000l4-NW
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:34:55 -0400
Received: from knopi.disroot.org ([178.21.23.139]:35680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nnNOF-0000km-40
 for 53833 <at> debbugs.gnu.org; Sat, 07 May 2022 12:34:54 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7D86B42FE3;
 Sat,  7 May 2022 18:34:42 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id IgSGqjZBzFWW; Sat,  7 May 2022 18:34:41 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1651941280; bh=he5jmtNxe8RWHJgNgqeVUsJlvog32rJmJC6OpY7CNdU=;
 h=Date:From:Subject:To:Cc:References;
 b=aEDZy7TMtJaTvfWISVMyXjZH8+AMY+DZeXT2Ep9dViwv6rOkV4IC9AKdpe1exDoOg
 ++7JmWZmAUZLtX0HlzkyBOPCGvr7r5dd0vQ/y/Xa2TMOrYPfYMJkK1SOVk/+SQt5h3
 y8290TrWtkd2b2jTOzFEl6vA0ZWrLvLw0sdw50DecNWmB8lRyoeynAMlPnj/zfGsnp
 zk41v0rCYryzMcCz1UWIEMhaeBBcj4IDYGUMFzYKKMdFyMrkZeVVvnWR4hJTYJE/lu
 Klz158VNbaLnCu7TbrRgbZaUoCx2sG6+8CXo+u5jSmx9k9px3U6oI2B02GTiL5w1pb
 vxOQ3KZE9e73Q==
Date: Sat, 07 May 2022 16:34:40 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: paren@HIDDEN
Message-ID: <8b70a176c466220eea29aa967d104fdfc2ac93e6@HIDDEN>
Subject: Re: QBE and cproc upstreaming
To: 53833 <at> debbugs.gnu.org
References: undefined undefined
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
Cc: liliana.prikler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

> IMHO, paren's initial patch is slightly better in quality than 55151,
> but there are two (three) things lacking. First, the synopsis and
> description are subpar. 55151 has a slightly better synopsis, don't
> feel too sure about the description though. Second, the "fix-cc" phase
> from 55151 should be added after unpack ("patch-test-script" sounds
> like a better phase name). It might be better to use (cc-for-target)
> in the substitution rather than gcc, but note that this substitution
> only applies for native compilation anyway.

I have made your suggested improvements, plus substantial changes to the =
build recipe that allows
you to cross-compile both QBE and cproc. I have confirmed that cross-comp=
ilation works for aarch64
and riscv64. Here is the updated code: <https://git.sr.ht/~whereiseveryon=
e/guixrus/tree/master/guixrus/packages/qbe.scm>.

The changes are as follows for qbe:
* Patch the makefile to support cross-building with a TARGET variable. Th=
is is done with a standalone
patch.
* Set "TARGET" to the appropriate target system.
* Set the correct supported systems. (It supports x86_64, aarch64, and ri=
scv64 currently.)
* Improve the synopsis and description.
* Update to the latest commit.
Note that tests still aren't provided because they use QEMU.

And cproc:
* Reenable tests. Not sure why they were disabled in the first place...
* Instead of skipping the configuration phase, replace it with an invocat=
ion of cproc's hand-written
./configure. Pass the correct arguments to it to allow cross-compilation =
to aarch64.
* Use gcc:lib as an input to support cross-compilation.
* Set the correct supported systems. (It supports riscv64 only under musl=
 libc right now.)
* Improve the synopsis and description.
* Update to the latest commit.

I think they are ready for upstreaming now. I will send improved patches =
to the appropriate issue
threads.




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 2 May 2022 06:33:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 02:33:29 2022
Received: from localhost ([127.0.0.1]:34680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlPcf-0003NG-1p
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 02:33:29 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:28005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>)
 id 1nlPcc-0003N0-Ok; Mon, 02 May 2022 02:33:28 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KsCw339zmz3wMF;
 Mon,  2 May 2022 08:33:23 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1651473203;
 bh=nti2YGMSpChhBB9+nQTyfge6t6MwQnFWgbELFUxFR1Q=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=jNQxn+Zn4U3Mht1qXPuD9C31GHYJZo2RYbqKe3F0fclpebogesr6SMfxqWKbErE1c
 pgMNiKpI7k8FnajUoNM7h4vnzfWF1GnQ2tvNQ6q6h+owLlOnwCVKHiMS5hvveamm4S
 upbueKQikJfNpW532T/dNMG1kOhN6rtOofmhrnio=
Message-ID: <23ff4ecaf07b3cec38d452d69785f1dd450581d7.camel@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Mon, 02 May 2022 08:33:22 +0200
In-Reply-To: <87h7694cma.fsf@HIDDEN>
References: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
 <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
 <87h7694cma.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53833
Cc: paren@HIDDEN, Jon Eskin <eskinjp@HIDDEN>, jgart@HIDDEN,
 55151 <at> debbugs.gnu.org, 53833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Ludo,

Am Sonntag, dem 01.05.2022 um 15:16 +0200 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:
> 
> > Am Montag, dem 25.04.2022 um 20:05 +0000 schrieb paren@HIDDEN:
> > 
> > > QBE is now being used in one reasonably mature project:
> > > https://harelang.org
> > > 
> > > While it's not at 1.0 yet, it's been in development for ~2 (i
> > > think) years now.
> > I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1. 
> > As it stands, every place I look at says "this is experimental"
> > rather than "you can use this and it ought to work as intended at
> > least for these sample programs".
> 
> But that’s fine: having a web page at all, or one that doesn’t read
> “experimental”, has never been a criterion for getting a package in
> Guix.
That's not my criterion either.  My critierion is more or less "Will we
have to revision-bump this package daily/every few days because people
want to play with the latest stuff?"  With upstream having seen no
commit for three weeks at this point, I guess it might be fine.

> There’s now a second patch for qbe:
> 
>   https://issues.guix.gnu.org/55151
> 
> I propose to go ahead and apply it, adding anything missing from
> paren’s initial patch.
IMHO, paren's initial patch is slightly better in quality than 55151,
but there are two (three) things lacking.  First, the synopsis and
description are subpar.  55151 has a slightly better synopsis, don't
feel too sure about the description though.  Second, the "fix-cc" phase
from 55151 should be added after unpack ("patch-test-script" sounds
like a better phase name).  It might be better to use (cc-for-target)
in the substitution rather than gcc, but note that this substitution
only applies for native compilation anyway.

cproc too seems to grow at a slower pace now.  Might be worth moving
stuff over from guixrus now.  Note that the cproc package has #:tests
#f without an explanation, though, so it needs some polishing.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 1 May 2022 13:16:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 09:16:23 2022
Received: from localhost ([127.0.0.1]:59874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nl9R1-0007sM-Kj
	for submit <at> debbugs.gnu.org; Sun, 01 May 2022 09:16:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>)
 id 1nl9Qz-0007s2-Ne; Sun, 01 May 2022 09:16:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nl9Qt-0005EL-19; Sun, 01 May 2022 09:16:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=xw5Hr4Zs+479KhxsntT7nvD1iOBI4u/6noTyafH40Pk=; b=rIz+H7hVP5Jum4F4Rdw+
 kP29xz7P9fq3r425ybIFfTWS+lFsFtAefiDq3UQuk1oLOPO7g5mE4SAA0o/teyN1ZT3w3/KeESTvT
 jkJ2BVQj0CXHeOfsib/cJi1gXiKNaDvU/dkRe3W9MN2Ubs1csJsIPRZ8S+pZviEGmfDsWHnKHQjlx
 9E/Ozh2rWf/QupU6QALrGr3XpFHoUG+EbZd+4Reqg3Gyh9XqKowOmMfpsKr07hDhvu9BIGvMDTFKQ
 uA0HuSdvAXEaTIOVcWdxeUz/JQnzqcwSR/gGhcnReUMjCXcAhZc+N6ShK2gULW9zf+NKnsZz+6yv/
 tH7PweKEFDqnEA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:51475
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nl9Qs-0007Ob-Ih; Sun, 01 May 2022 09:16:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
References: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
 <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 =?utf-8?Q?Flor=C3=A9al?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 01 May 2022 15:16:13 +0200
In-Reply-To: <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Tue, 26 Apr 2022 09:43:34 +0200")
Message-ID: <87h7694cma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53833
Cc: paren@HIDDEN, 55151 <at> debbugs.gnu.org, 53833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

> Am Montag, dem 25.04.2022 um 20:05 +0000 schrieb paren@HIDDEN:
>> QBE is now being used in one reasonably mature project:
>> https://harelang.org
>>=20
>> While it's not at 1.0 yet, it's been in development for ~2 (i think)
>> years now.
> I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1.  As
> it stands, every place I look at says "this is experimental" rather
> than "you can use this and it ought to work as intended at least for
> these sample programs".

But that=E2=80=99s fine: having a web page at all, or one that doesn=E2=80=
=99t read
=E2=80=9Cexperimental=E2=80=9D, has never been a criterion for getting a pa=
ckage in
Guix.

There=E2=80=99s now a second patch for qbe:

  https://issues.guix.gnu.org/55151

I propose to go ahead and apply it, adding anything missing from paren=E2=
=80=99s
initial patch.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 26 Apr 2022 18:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 14:16:20 2022
Received: from localhost ([127.0.0.1]:40520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njPjX-0004Vv-QS
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 14:16:19 -0400
Received: from knopi.disroot.org ([178.21.23.139]:57650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1njPjW-0004Vk-9B
 for 53833 <at> debbugs.gnu.org; Tue, 26 Apr 2022 14:16:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7A97942AC3;
 Tue, 26 Apr 2022 20:16:16 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id jJXIHRT93z9W; Tue, 26 Apr 2022 20:16:15 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1650996970; bh=DqMl1J1wXY/ThMp5YAo6ntBHsUb+K33XY4aKraUd+FI=;
 h=Date:From:Subject:To:References;
 b=JB3Fdql/taFvKjj/ZCPOwwhv7iw5TJSmlFfDv0DPaZZOZsJpLsJzUMn/JNP/rFAMU
 BWjrMLT6Vu5/kTcYejNhC+BmLZDPlzfEInq1hW9XYTc7d7avxCbEd+OYT4qhH55M3m
 ak5+As4/TowNUiGYZOy+ZoVXM5NktYFYwbdKmtifeBZsPyML0TiON2bvVI/onRD74M
 p46cQsZf+7KIoz4D7+mIzwLkzt0VuCRt5fsDyswMGV9LlnhKLkBVInozL77S7UWcxV
 JEYNkypef7NRu9kybk2zS5SMwOahAVniS5yRjbQbdwxVCYAo+JUJsPVr/5vmiBO9r7
 aSNeJW3ZikdFw==
Date: Tue, 26 Apr 2022 18:16:09 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: paren@HIDDEN
Message-ID: <93eb9d1f96c32f607f056fe3b3225f89d99f2a2e@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
To: "Liliana Marie Prikler" <liliana.prikler@HIDDEN>,
 53833 <at> debbugs.gnu.org
References: undefined undefined
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1. As
> it stands, every place I look at says "this is experimental" rather
> than "you can use this and it ought to work as intended at least for
> these sample programs".

Ah, I think you misunderstood slightly: I was saying that Hare was not ye=
t at 1.0 yet (although QBE isn't either.) Regardless, I think it is matur=
e enough for Guix, especially as a stable programming language uses it no=
w.

By the way, https://c9x.me/compile is really outdated, so its estimate on=
 QBE's stability is probably inaccurate by now.




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 26 Apr 2022 07:43:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 03:43:39 2022
Received: from localhost ([127.0.0.1]:36829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njFrH-00081V-Dw
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:43:39 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:50936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1njFrF-00081N-Ar
 for 53833 <at> debbugs.gnu.org; Tue, 26 Apr 2022 03:43:38 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4KnYln5TXXz3wCT;
 Tue, 26 Apr 2022 09:43:33 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1650959014;
 bh=fqkLhV7DA5vV6nc41JjoQV/0FKkW3xm84ePY2ND4Z+s=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=Hygv1E6NQAK4qKyeGJEH1OTrXML0kmtbPaNvdobVQ9s1pWvS31hj4xeFkAd5Fioa8
 1vmpl+p/+ZcyIEejAZwhubHs044iZHvLER6mec1K6S+yfELrCPDTr7nQ6GKG5lda+T
 sPrH6FNjQ6JwvRjWCyHA487ySvcZnM0A75g8nX0w=
Message-ID: <fd9a92d751334edbaecaaf9ca9a1c88e82af0d33.camel@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: paren@HIDDEN, 53833 <at> debbugs.gnu.org
Date: Tue, 26 Apr 2022 09:43:34 +0200
In-Reply-To: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
References: <454d4c514fc4485670cf8f2ec891034c9014edc0@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.4
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53833
Cc: ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Montag, dem 25.04.2022 um 20:05 +0000 schrieb paren@HIDDEN:
> QBE is now being used in one reasonably mature project:
> https://harelang.org
> 
> While it's not at 1.0 yet, it's been in development for ~2 (i think)
> years now.
I'm not asking for a 1.0, I'd be fine with a 0.1 or even a 0.0.1.  As
it stands, every place I look at says "this is experimental" rather
than "you can use this and it ought to work as intended at least for
these sample programs".

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 25 Apr 2022 20:08:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 16:08:49 2022
Received: from localhost ([127.0.0.1]:36170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nj50r-0007BZ-3J
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 16:08:49 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1nj50p-0007BR-Px
 for 53833 <at> debbugs.gnu.org; Mon, 25 Apr 2022 16:08:48 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3372042AF3
 for <53833 <at> debbugs.gnu.org>; Mon, 25 Apr 2022 22:08:47 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id pAMq8CNJ22-E for <53833 <at> debbugs.gnu.org>;
 Mon, 25 Apr 2022 22:08:45 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1650917324; bh=uHC4C0QQiT8MMJLShtyZKwFYF5FotWUbKJwKj3AvBMs=;
 h=Date:From:Subject:To:References;
 b=dGrpjI5TGrB4sKcwwzB+RQC5YTpHFIMFcVzm0pAvmMyFwNAavQ/dPUEj37tTRKgKv
 Jz4l7DmTI4nl+BVDoJSF4QB1Bx2s8JJTBKF11RCwFuLZv3pZLYcXT468FCiYciQGLg
 zp9czkMaE2YvssIURYC8O7KoScx64k5KoQR8KPzsMIGLoO0k+SKX8F9hkQ43tX/r92
 N5H5xSEgDpQDhB7hvDZsv1hiC3c8UFiT9VGNJAbJfVHkrfQGD3wVKNxRyUl8/H0t81
 z6csS2iSB3OqCqEYnyQdJhgA3XmPEj6DeTS35bN/0l3SwChde9ybPm+a1nvwehvMc0
 6Oigeev4jmWIw==
Date: Mon, 25 Apr 2022 20:08:44 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: paren@HIDDEN
Message-ID: <b3652409ce29bb4b93043fe7f4b5527239e6dad3@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
To: 53833 <at> debbugs.gnu.org
References: undefined undefined
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53833
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

QBE is now being used in one reasonably mature project: https://harelang.=
org https://harelang.org/=20

While=20it's not at 1.0 yet, it's been in development for ~2 (i think) ye=
ars now.




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833-done <at> debbugs.gnu.org:


Received: (at 53833-done) by debbugs.gnu.org; 5 Apr 2022 16:11:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 12:11:28 2022
Received: from localhost ([127.0.0.1]:55927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nblmC-0005gg-I7
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2022 12:11:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nblm9-0005gP-Gq
 for 53833-done <at> debbugs.gnu.org; Tue, 05 Apr 2022 12:11:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35670)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nblm1-0007gY-Ei; Tue, 05 Apr 2022 12:11:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=8oZNE8AdkRbF4JPkOvJLlJtqLO/G4s7sD86Q5K8W0/E=; b=JgTsoRmblxdZV0uTydMY
 lNJZBQh94hBs8isW20WXLfCiyTl0S23yJxk9enQuRk4Kkx65kyQk3sUpGeJDmZ3HWjFKI5QwZhGBY
 X0rM0EhuBoGOEn6e/3we+aYLb5KlOKb2+XEAJnCLLhRUu5TjQQ+m0ru9rJpDuIYKhEJzhVT6VYw6H
 IYwRGYOyxw1hAKs13uwedfdVOSfr5AzptG+q8TVw/zdvrGRmCONq9DdDfQEgBOBTH6sfanjTKRSlD
 4Cb4hNo1/o1Pt1Bfiv1UisDM7IYPanf62MAzqLvLn9BwRM8Cm+eIGhZ1YKga4TUq83/CIHnWpW5k3
 NY3qZKtIv8W7SA==;
Received: from [193.50.110.173] (port=58788 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nbllz-0005fN-Cq; Tue, 05 Apr 2022 12:11:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: bug#53833: [PATCH] gnu: Add qbe.
References: <20220207011332.27844-1-jgart@HIDDEN>
 <7974e4fbf6a2b7beb41ead69a708a78a460b295e.camel@HIDDEN>
 <20220208161034.GB28776@HIDDEN>
Date: Tue, 05 Apr 2022 18:11:13 +0200
In-Reply-To: <20220208161034.GB28776@HIDDEN> (jgart@HIDDEN's
 message of "Tue, 8 Feb 2022 16:10:34 -0500")
Message-ID: <87sfqrldcu.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53833-done
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 53833-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi jgart,

jgart <jgart@HIDDEN> skribis:

> I already have qbe in Guix 'R Us along with cproc:
>
> https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packa=
ges/qbe.scm#L43
>
> If maintainers think it will be ready for Guix in the future ping me or
> feel free to send an update as you see fit.

I=E2=80=99m not opposed to including it if it=E2=80=99s useful but like you=
 write, since
you have it in a channel, maybe we can wait until it=E2=80=99s mature enough
before getting it in Guix proper.

I=E2=80=99m closing this issue but feel free to ping us when you think it s=
hould
get in.

Thanks,
Ludo=E2=80=99.




Notification sent to jgart <jgart@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 8 Feb 2022 21:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 08 16:10:57 2022
Received: from localhost ([127.0.0.1]:48895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nHXlE-00043c-Ie
	for submit <at> debbugs.gnu.org; Tue, 08 Feb 2022 16:10:57 -0500
Received: from mx1.dismail.de ([78.46.223.134]:38430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1nHXlB-00043J-Ny
 for 53833 <at> debbugs.gnu.org; Tue, 08 Feb 2022 16:10:51 -0500
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 1922d1de;
 Tue, 8 Feb 2022 22:10:42 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=YB4B3UHjxg7HAPcDFt4STG/wrfOmIFME6cqjOPLSC1I=; b=epL
 NXgPnBeDdZnlF0fjMvHzEAzfjimFbvonvPFK69ZlKE8Cry36HFjeT5y8K66Y/ANT
 s5ObyxmYWsHCoD5RtBKAekoxWrB5VmPpOijaJvFVSeBGv3wQV6Gbq8ZHHvjponSX
 mUpmMukx6jFcxqZ/pFwQvASjg3mCq2ZDTqN9MvCWy3naUBT5oEsm8RWXhbKmkGj5
 1YegOwFfa771TmJaGVzu60fLGxBriyMNF+8eVbUd3uCEUj12TIgq3DgCgocaJRaX
 CBXEQxZmr96kjuZorKYsMZlSF/kh52XIIHtEg2WJpEuEdtt37/CAfDijt9wUEY50
 WGiCZruk6+Wa+VfpsKw==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 53b36afb;
 Tue, 8 Feb 2022 22:10:42 +0100 (CET)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 1c344a66;
 Tue, 8 Feb 2022 22:10:42 +0100 (CET)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 77a274ec
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 8 Feb 2022 22:10:41 +0100 (CET)
Date: Tue, 8 Feb 2022 16:10:34 -0500
Message-ID: <20220208161034.GB28776@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH] gnu: Add qbe.
In-Reply-To: <7974e4fbf6a2b7beb41ead69a708a78a460b295e.camel@HIDDEN>
References: <20220207011332.27844-1-jgart@HIDDEN>
 <7974e4fbf6a2b7beb41ead69a708a78a460b295e.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 53833
Cc: 53833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

On Mon, 07 Feb 2022 10:47:08 +0100 Liliana Marie Prikler <liliana.prikler@HIDDEN> wrote:
> Am Sonntag, dem 06.02.2022 um 20:13 -0500 schrieb jgart:
> > * gnu/packages/c.scm (qbe): New variable.
> > ---
> >  gnu/packages/c.scm | 30 ++++++++++++++++++++++++++++++
> >  1 file changed, 30 insertions(+)
> > 
> > diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
> > index 459d996fa2..8966b7b8d0 100644
> > --- a/gnu/packages/c.scm
> > +++ b/gnu/packages/c.scm
> > @@ -142,6 +142,36 @@ (define-public pcc
> >      ;; preferred.  See http://pcc.ludd.ltu.se/licenses/ for more
> > details.
> >      (license (list license:bsd-2 license:bsd-3))))
> >  
> > +(define-public qbe
> > +  (let ((commit "2ca6fb25a238842418019a3f9ee8d1beb1327f7e")
> > +        (revision "0"))
> > +    (package
> > +      (name "qbe")
> > +      (version (git-version "0.0" revision commit))
> From the homepage: "QBE is in constant change. It is a young project
> and I still have many ideas to try."  As always, I don't think it's too
> good of an idea to package projects that tell you "this edge will make
> you bleed".  Or in the words of the manual
> 
> > Occasionally, we package snapshots of upstream’s version control
> > system (VCS) instead of formal releases.  This should remain
> > exceptional, because it is up to upstream developers to clarify what
> > the stable release is.
> I think upstream is very clear here that QBE is not yet stable and
> therefore not something you'd want in a distro.  Of course, since the
> recipe is a rather simple one, you can easily maintain it in your own
> channel -- or not package it at all and use it from source with just a
> C compiler.

Hi lilyp,

Thanks for the review. It's much appreciated.

Here's a recent talk from FOSDEM 2022 on qbe by Drew Devault in case
you're interested in finding out more about it:

https://fosdem.org/2022/schedule/event/lg_qbe/

I already have qbe in Guix 'R Us along with cproc:

https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/qbe.scm#L43

If maintainers think it will be ready for Guix in the future ping me or
feel free to send an update as you see fit.

all best,

jgart

https://whereiseveryone.srht.site/
gemini://whereiseveryone.srht.site/

https://sr.ht/~mcf/cproc




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at 53833 <at> debbugs.gnu.org:


Received: (at 53833) by debbugs.gnu.org; 7 Feb 2022 09:47:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 07 04:47:16 2022
Received: from localhost ([127.0.0.1]:41016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nH0c7-0003vV-Ph
	for submit <at> debbugs.gnu.org; Mon, 07 Feb 2022 04:47:16 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:52783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nH0c4-0003vK-P2
 for 53833 <at> debbugs.gnu.org; Mon, 07 Feb 2022 04:47:14 -0500
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4JshBP1fsnz3x6h;
 Mon,  7 Feb 2022 10:47:09 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1644227229;
 bh=bVI2Y8ZfJjKQViu9SB/hNU0ClIan2D5MIouUkIwzyK0=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=rvGmmOmlhHQ9UL4o6+5J4OcIBvqGBexjRVAIsnYjchx9aeJ2xnsA1nXZyx4cPbGd4
 BKCzcOI9Z80fgQYOVGONvkw3aa56/twr4cZswx9e0+nO8JYT0WmefU+nuFGvhqptub
 P/CU8jDQykhbHAzEji6BllTixoS5SEs9HLN7s3nU=
Message-ID: <7974e4fbf6a2b7beb41ead69a708a78a460b295e.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Add qbe.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: jgart <jgart@HIDDEN>, 53833 <at> debbugs.gnu.org
Date: Mon, 07 Feb 2022 10:47:08 +0100
In-Reply-To: <20220207011332.27844-1-jgart@HIDDEN>
References: <20220207011332.27844-1-jgart@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53833
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Sonntag, dem 06.02.2022 um 20:13 -0500 schrieb jgart:
> * gnu/packages/c.scm (qbe): New variable.
> ---
>  gnu/packages/c.scm | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
> 
> diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
> index 459d996fa2..8966b7b8d0 100644
> --- a/gnu/packages/c.scm
> +++ b/gnu/packages/c.scm
> @@ -142,6 +142,36 @@ (define-public pcc
>      ;; preferred.  See http://pcc.ludd.ltu.se/licenses/ for more
> details.
>      (license (list license:bsd-2 license:bsd-3))))
>  
> +(define-public qbe
> +  (let ((commit "2ca6fb25a238842418019a3f9ee8d1beb1327f7e")
> +        (revision "0"))
> +    (package
> +      (name "qbe")
> +      (version (git-version "0.0" revision commit))
From the homepage: "QBE is in constant change. It is a young project
and I still have many ideas to try."  As always, I don't think it's too
good of an idea to package projects that tell you "this edge will make
you bleed".  Or in the words of the manual

> Occasionally, we package snapshots of upstream’s version control
> system (VCS) instead of formal releases.  This should remain
> exceptional, because it is up to upstream developers to clarify what
> the stable release is.
I think upstream is very clear here that QBE is not yet stable and
therefore not something you'd want in a distro.  Of course, since the
recipe is a rather simple one, you can easily maintain it in your own
channel -- or not package it at all and use it from source with just a
C compiler.

> +      (source
> +        (origin
> +          (method git-fetch)
> +          (uri
> +            (git-reference
> +              (url "git://c9x.me/qbe")
> +              (commit commit)))
> +          (file-name (git-file-name name version))
> +          (sha256
> +           (base32
> +           
> "0qbnsrwk10v0s42vzxy2wvksd8xl8bmxfzqv2a4j4zjaklqgfd6j"))))
> +      (build-system gnu-build-system)
> +      (arguments
> +       `(#:tests? #f ; Tests require a running qemu?
You should be able to add qemu to native-inputs if that's all it takes.
> +         #:make-flags (list (string-append "CC=" ,(cc-for-target))
> +                            (string-append "PREFIX=" %output))
> +         #:phases
> +         (modify-phases %standard-phases
> +           (delete 'configure))))
> +      (synopsis "Backend compiler")
> +      (description "@code{qbe} is a compiler backend.")
It'd be nice if the description was more descriptive :)
Also the synopsis should probably not invert the ordering of "compiler"
and "backend".
> +      (home-page "https://c9x.me/compile/")
> +      (license license:expat))))
> +
>  (define-public libbytesize
>    (package
>      (name "libbytesize")

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2022 01:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 20:20:48 2022
Received: from localhost ([127.0.0.1]:40453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGshz-0004rp-OL
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 20:20:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:52964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1nGshx-0004rg-RI
 for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 20:20:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57090)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1nGshv-0001Ap-PC
 for guix-patches@HIDDEN; Sun, 06 Feb 2022 20:20:45 -0500
Received: from [2a01:4f8:c17:e5e::2] (port=38915 helo=mx1.dismail.de)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1nGshm-0001yx-Sm
 for guix-patches@HIDDEN; Sun, 06 Feb 2022 20:20:43 -0500
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c8be7182
 for <guix-patches@HIDDEN>; Mon, 7 Feb 2022 02:13:47 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to:cc
 :subject:date:message-id:mime-version:content-transfer-encoding;
 s=20190914; bh=0MIm/QImGPAircRSBP67WMkXcVGAFcImVBsULlrS0ZA=; b=
 HZs4hkVhoBa9Soc0Nn04nNpLkea883p+MddMZtPTCuo/WcCLgf7UD4BKFm8ZEnyM
 bmi2i3QM2slxtyohpc4iJ2iWTF/Dzz4byrzUxuej69bwWpsYkoFkVJo29g8+XFeB
 OqpkTHBSI4bqTK5qssDEFkQeNfoAtiDszBSV5ezGrJD4t3Ni32BSXclOlWvR/in+
 SZUBocRBVrYklcws77zY8C+gzpoq9HMKyGWclB+NfyJyh3Wq7PuYNS0Tc8ppPSrT
 O81PEgGrxgNtomyn5/brHl+1IFwDHGKMiYM4RWg3RobSzJhz9n48qOEt/X3uTjea
 jSPQH8q/STE2FmJkpFhXxw==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id ab16b334
 for <guix-patches@HIDDEN>; Mon, 7 Feb 2022 02:13:47 +0100 (CET)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 91ff3752
 for <guix-patches@HIDDEN>; Mon, 7 Feb 2022 02:13:47 +0100 (CET)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id e11b45e5
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 7 Feb 2022 02:13:41 +0100 (CET)
From: jgart <jgart@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add qbe.
Date: Sun,  6 Feb 2022 20:13:32 -0500
Message-Id: <20220207011332.27844-1-jgart@HIDDEN>
X-Mailer: git-send-email 2.35.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a01:4f8:c17:e5e::2
 (failed)
Received-SPF: pass client-ip=2a01:4f8:c17:e5e::2;
 envelope-from=jgart@HIDDEN; helo=mx1.dismail.de
X-Spam_score_int: -35
X-Spam_score: -3.6
X-Spam_bar: ---
X-Spam_report: (-3.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: jgart <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/c.scm (qbe): New variable.
---
 gnu/packages/c.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/c.scm b/gnu/packages/c.scm
index 459d996fa2..8966b7b8d0 100644
--- a/gnu/packages/c.scm
+++ b/gnu/packages/c.scm
@@ -142,6 +142,36 @@ (define-public pcc
     ;; preferred.  See http://pcc.ludd.ltu.se/licenses/ for more details.
     (license (list license:bsd-2 license:bsd-3))))
 
+(define-public qbe
+  (let ((commit "2ca6fb25a238842418019a3f9ee8d1beb1327f7e")
+        (revision "0"))
+    (package
+      (name "qbe")
+      (version (git-version "0.0" revision commit))
+      (source
+        (origin
+          (method git-fetch)
+          (uri
+            (git-reference
+              (url "git://c9x.me/qbe")
+              (commit commit)))
+          (file-name (git-file-name name version))
+          (sha256
+           (base32
+            "0qbnsrwk10v0s42vzxy2wvksd8xl8bmxfzqv2a4j4zjaklqgfd6j"))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:tests? #f ; Tests require a running qemu?
+         #:make-flags (list (string-append "CC=" ,(cc-for-target))
+                            (string-append "PREFIX=" %output))
+         #:phases
+         (modify-phases %standard-phases
+           (delete 'configure))))
+      (synopsis "Backend compiler")
+      (description "@code{qbe} is a compiler backend.")
+      (home-page "https://c9x.me/compile/")
+      (license license:expat))))
+
 (define-public libbytesize
   (package
     (name "libbytesize")
-- 
2.35.0





Acknowledgement sent to jgart <jgart@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53833; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2022 06:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.